#!/usr/bin/env bash

source ./build.sh $@
# build.sh sets these env vars:
# DEXORDER_WEB_VERSION
# DEXORDER_WEB_IMAGE

$DOCKER push $DEXORDER_WEB_IMAGE > /dev/null
if [ $? != 0 ]; then
    echo 'container push failed'
    exit 1
fi

sed -e "s|\$DEXORDER_WEB_IMAGE|$DEXORDER_WEB_IMAGE|g" k8s/deployment.yaml | kubectl --context=la apply -f -
